I2C-Package für neue CODESYS-Versionen

Beim Öffnen vom „Horter_Kalb_Raspi_Support_IO_driver_Example.Project“  kommt es zu mit der neuesten Version der CODESYS-Entwicklungsumgebung gibt es zahlreiche Meldungen. Hier wird beschrieben wie das Demo-Projekt hochgerüstet werden kann.

 

Projektumgebung hochrüsen

Die erste Meldung kommt kurz nach dem Öffnen des Projektes

„Die im Programm verwendete Compiler-Version ist nicht die neueste. Es wird empfohlen auf 3.5.7.20 zu aktualisieren“

 

Hier muss einfach die Aktualisierung bestätigt werden.

CODESYS Compiler-Version aktualisieren

CODESYS Compiler-Version aktualisieren

Nach einiger Zeit bekommt man im Ausgabefenster die Meldung

„3 Fehler 12 Warnung(en)“

 

 

CODESYS Runtime Version hochrüsten

Jetzt muss ein Update der  Codesys-Runtime-Version angestoßen werden.

  • Update suchen
  • Download starten
  • Installation starten
Update CODESYS Control for Raspberry PI

Update CODESYS Control for Raspberry PI

 

Gerät aktualisieren

Danach noch das Gerät (Device) aktualisieren.

Danach sollte sich das Programm wieder problemlos kompilieren lassen.

Gerät aktualisieren

Gerät aktualisieren

 

Visualisierungsprofil aktualisieren

Beim Update auf die Version 3.5SP8 kommt es eventuell zu folgender Fehlermeldung

Das gerade verwendete Visualisierungsprofil funktioniert mit der aktuellen Compilerversion nicht richtig. Bitte aktualisieren Sie das Visualisierungsprofil oder verwenden Sie eine ältere Compilerversion

 

Zum aktualisieren des Visualisierungsprofils gehen Sie auf

Projekt – Projekteinstellungen – Visualisierungsprofil

Dort wählen Sie die aktuelle Version aus 3.5SP8 aus und bestätigen mit weiter.

Danach sollte sich das Projekt mit F11 fehlerfrei übersetzen lassen.

Visualisierungsprofil ändern

Visualisierungsprofil ändern

 

Runtime-Version auf dem Raspberry aktualisieren

wenn beim Verbindungsversuch folgende Fehlermeldung erscheint

„Das ausgewählte Zielsystem stimmt nicht mit dem verbundenen Gerät überein“

muss die Runtime-Version auf dem PI aktualisiert werden.

Runtime auf dem Raspberry aktualisieren

Runtime auf dem Raspberry aktualisieren

 

Sollte es beim Übertragen zu folgender Fehlermeldung kommen

no space left on device

muss der Raspberry komplett neu aufgespielt werden.

 

Verschiedene Projektversionen zum Download

 

Programmversion   I2C Beispielprojekt

CODESYS 3.5 SP7 Patch1
CODESYS 3.5 SP7 Patch2
CODESYS 3.5 SP7 Patch3

 

Horter_Kalb_Raspi_Projekt_3.5SP7P1.zip (287 Downloads)
Horter_Kalb_Raspi_Projekt_3.5SP7P2.zip (189 Downloads)
Horter_Kalb_Raspi_Projekt_3.5SP7P3.zip (230 Downloads)

CODESYS 3.5 SP8
CODESYS 3.5 SP8 Patch2
CODESYS 3.5 SP8 Patch3
CODESYS 3.5 SP8 Patch4

 

Horter_Kalb_Raspi_Projekt_3.5SP8.zip (287 Downloads)
Horter_Kalb_Raspi_Projekt_3.5SP8P2.zip (169 Downloads)
Horter_Kalb_Raspi_Projekt_3.5SP8P3.zip (161 Downloads)
Horter_Kalb_Raspi_Projekt_3.5SP8P4.zip (199 Downloads)

CODESYS 3.5 SP9
CODESYS 3.5 SP9 Patch3

 3.5.9.0
3.5.9.30

Horter_Kalb_Raspi_Projekt_3.5SP9.zip (279 Downloads)
Horter_Kalb_Raspi_Projekt_3.5SP9P3.zip (176 Downloads)

CODESYS 3.5 SP10
CODESYS 3.5 SP10 P2

 3.5.10.0
3.5.10.20

Horter_Kalb_Raspi_Projekt_3.5SP10.zip (130 Downloads)
Horter_Kalb_Raspi_Projekt_3.5SP10P2.zip (105 Downloads)